Skip to main content
GET
/
v1
/
smart-accounts
/
transactions
/
list
List Transactions
curl --request GET \
  --url https://api.openxswitch.com/v1/smart-accounts/transactions/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "TRANSACTION_ID",
      "refId": "REF_ID",
      "idempotencyKey": "IDEMPOTENCY_KEY",
      "tokenName": "Bitcoin",
      "tokenSymbol": "BTC",
      "tokenTicker": "BTC",
      "tokenAddress": "0x1234567890123456789012345678901234567890",
      "decimals": 18,
      "isNative": true,
      "amount": {
        "formatted": "479000.10",
        "raw": "47900010"
      },
      "totalAmount": {
        "formatted": "479000.10",
        "raw": "47900010"
      },
      "chainDecimals": 18,
      "blockchain": "ethereum",
      "protocol": "EVM",
      "environment": "mainnet",
      "network": "ethereum-mainnet",
      "standard": "ERC20",
      "txType": "incoming",
      "txSubType": "DEPOSIT",
      "status": "pending",
      "fromAddress": "0x1234567890123456789012345678901234567890",
      "toAddress": "0x1234567890123456789012345678901234567890",
      "txHash": "0x1234567890123456789012345678901234567890",
      "totalFee": {
        "formatted": "479000.10",
        "raw": "47900010"
      },
      "feeLevel": "normal",
      "feeToken": "ETH",
      "isBatch": false,
      "note": "Note",
      "triggerOrigin": "TRIGGER_ORIGIN",
      "transactionGroupId": "TRANSACTION_GROUP_ID",
      "confirmation": 1,
      "confirmed": true,
      "confirmedAt": "2022-01-01T00:00:00.000Z",
      "walletId": "WALLET_ID",
      "accountId": "ACCOUNT_ID",
      "workspaceId": "WORKSPACE_ID"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string

Filter by Account ID. The unique identifier of the Account

Example:

"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"

walletId
string

Filter by wallet ID. The unique identifier of the wallet

Example:

"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"

txHash
string

Filter by transaction hash or signature

Example:

"0x1234567890123456789012345678901234567890"

blockchain
string

Filter by blockchain network. The blockchain network. Can be either the blockchain name or slug.

Refer to the Get Supported Blockchains endpoint for the list of supported blockchains.

Example:

"ethereum-mainnet"

txType
string

Filter by transaction type (incoming_txn, outgoing_txn)

Example:

"incoming_txn"

status
string

Filter by transaction status (pending, success, failed)

Example:

"pending"

token
string

Filter by token symbol. The token symbol (e.g., USDT, USDC, ETH).

Refer to the Get Supported Tokens endpoint for the list of supported tokens.

Example:

"USDT"

pageNo
string
default:1

The page number for pagination

pageLimit
string
default:10

The number of items per page for pagination

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required